-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class MEMORY
--
-- Facilities for tuning up the garbage collection, and
-- everything about memory control.
--

feature -- Status Report :

   frozen collecting: BOOLEAN is
      -- Is garbage collection enabled ?
      do
	 not_yet_implemented;
      end;

   
feature -- Status setting :

   frozen collection_off is
      -- Disable garbage collection.
      do
	 not_yet_implemented;
      end;
   
   frozen collection_on is
      -- Enable garbage collection.
      do
	 not_yet_implemented;
      end;

feature -- Removal :

   dispose is
	 -- Action to be executed just before garbage collection 
	 -- reclaims an object.
      do
      end;

   frozen full_collect is
      -- Force a full collection cycle if garbage collection is
      -- enabled; do nothing otherwise.
      do
      end;

end -- class MEMORY
