-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
expanded class POINTER
--
-- References to objects meant to be exchanged with non-Eiffel 
-- software.
--
-- Note : corresponding C type is usually "void *".
--    In type STRING, POINTER is mapped "char *".
--    In type ARRAY and FIXED_ARRAY, POINTER is mapped as the 
--    C type of the generic actual argument.
--
inherit 
   POINTER_REF
      redefine print_on
      end;

feature

   print_on(file: STD_FILE_WRITE) is
      do
	 file.put_string("POINTER");
      end;

end -- POINTER
