-- Part of SmallEiffel -- Read DISCLAIMER file -- Copyright (C) 
-- Dominique COLNET and Suzanne COLLIN -- colnet@loria.fr
--
class TEST_FILE_EXISTS

creation {ANY}
   make
   
feature {ANY}
   
   make is
      local
	 path: STRING;
      do
	 path := get_environment_variable("SmallEiffel");
	 is_true(path /= Void);
	 path.append("/lib_test/test_file_exists.e");
	 is_true(file_exists(path));
      end;
   
   is_true(b: BOOLEAN) is
      do
	 cpt := cpt + 1;
	 if not b then
	    std_output.put_string("TEST_FILE_EXISTS: ERROR Test # ");
	    std_output.put_integer(cpt);
	    std_output.put_string("%N");
	 else
	    -- std_output.put_string("Yes%N");
	 end;
      end;
   
   cpt: INTEGER;
   
end -- TEST_FILE_EXISTS
